%global commit0 e5548502204f5ce97c7a4035a937564428820a07
%global gittag0 jocci-core-0.2.4
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           jOCCI-core
Version:        0.2.4
Release:        1%{?dist}
Summary:        Java OCCI framework

License:        ASL 2.0
URL:            https://github.com/EGI-FCTF/jOCCI-core
Source0:        https://github.com/EGI-FCTF/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildArch:      noarch
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-log4j12)

%description
jOCCI-core is a java-based implementation of the OCCI (Open Cloud Computing
Interface) standard. jOCCI-core currently implements:

* classes defined by the OCCI Core model and methods for manipulating them
* methods for rendering plain-text or HTTP header representations of those
  classes' instances
* methods for basic parsing of such renderings
* methods for validation of OCCI requests with respect to known models on
  client-side


%package        javadoc
Summary:        Javadoc for %{name}
Requires:       %{name} = %{version}-%{release}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{commit0}

%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%license LICENSE
%doc README.md
%dir %{_javadir}/%{name}/

%files javadoc -f .mfiles-javadoc


%changelog
* Tue Aug 09 2016 František Dvořák <valtri@civ.zcu.cz> - 0.2.4-1
- Initial package
